package com.gic.haoban.manage.api.dto.contact;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class ContactFollowDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269974L;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 导购code
     */
    private String clerkCode;
    /**
     * 跟进记录
     */
    private String followRemark;
    /**
     * 跟进上传素材,数组格式
     */
    private List<String> followMaterialList;
    /**
     * 关联商品信息
     */
    private List<ContactFollowGoodsDTO> goodsInfoList;
    /**
     * 跟进时间
     */
    private Date followTime;
    /**
     * 企业id
     */
    private String enterpriseId;

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getFollowRemark() {
        return followRemark;
    }

    public void setFollowRemark(String followRemark) {
        this.followRemark = followRemark;
    }

    public List<String> getFollowMaterialList() {
        return followMaterialList;
    }

    public void setFollowMaterialList(List<String> followMaterialList) {
        this.followMaterialList = followMaterialList;
    }

    public List<ContactFollowGoodsDTO> getGoodsInfoList() {
        return goodsInfoList;
    }

    public void setGoodsInfoList(List<ContactFollowGoodsDTO> goodsInfoList) {
        this.goodsInfoList = goodsInfoList;
    }

    public Date getFollowTime() {
        return followTime;
    }

    public void setFollowTime(Date followTime) {
        this.followTime = followTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}